function LoadMap(lvl)
	ClearWalls()

	local mapfilelocation = "maps/"
	local extention = ".lua"
	local mapname = mapfilelocation .. "map" .. lvl .. extention

	GameMap = STI(mapname)
	--Walls = {}
	if GameMap.layers["Walls"] then
		for _, obj in ipairs(GameMap.layers["Walls"].objects) do
			local wall = World:newRectangleCollider(obj.x, obj.y, obj.width, obj.height)
			wall:setType("static")
			table.insert(Walls, wall)
			Walls[#Walls]:setCollisionClass("Wall")
		end
	end
end
